export interface AccountDetails {
  date_registered: number;
  gender: string;
  identities: {
    evm: {
      'bloxberg:8996': string[];
      'oldchain:1': string[];
    }
  };
  location: {
    area_name: string;
  };
  products: string[];
  vcard: {
    email: [{
      value: string;
    }];
    fn: [{
      value: string;
    }];
    n: [{
      value: string[];
    }];
    tel: [{
      meta: {
        TYP: string[];
      },
      value: string;
    }],
    version: [{
      value: string;
    }];
  };
}

export interface Signature {
  algo: string;
  data: string;
  digest: string;
  engine: string;
}

export interface Meta {
  data: AccountDetails;
  id: string;
  signature: Signature;
}

export interface MetaResponse {
  id: string;
  m: Meta;
}
